All times are UTC - 6 hours [ DST ]




Post new topic Reply to topic  [ 575 posts ]  Go to page Previous  1 ... 19, 20, 21, 22, 23
Author Message
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Fri Apr 07, 2017 10:17 am 
Offline
N6UA - FlightAware user avatar

Joined: Fri Apr 07, 2017 10:11 am
Posts: 1
Curious about what happened to "day of upgrade" data ... My Tuesday (4/4) data just "went away" after having been posted before.
3.5.0 seems to perform better than the previous version I installed a couple weeks ago.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Fri Apr 07, 2017 10:31 am 
Offline
FlightAware Staff
ericcarlson - FlightAware user avatar

Joined: Sun Jan 01, 2006 5:00 pm
Posts: 116
Please read this thread about stats: ads-b-flight-tracking-f21/what-s-up-with-ads-b-statistics-t38873.html


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Fri Apr 07, 2017 1:04 pm 
Offline
mwshell - FlightAware user avatar

Joined: Tue Apr 19, 2011 10:00 pm
Posts: 22
Question from a Noob-

So, if I shut down my PiAware unit, format the SD card, and install a new image, and turn it back on, does this mean all my statistical data, site number, and "broadcasting since" data will all be wiped out?


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Fri Apr 07, 2017 1:20 pm 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3459
mwshell wrote:
So, if I shut down my PiAware unit, format the SD card, and install a new image, and turn it back on, does this mean all my statistical data, site number, and "broadcasting since" data will all be wiped out?

Your current site is identified by hardware MAC address so if you are still running on the same hardware, you don't need to do anything special to continue using your existing site.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! ChartBundle maps
PostPosted: Tue Apr 11, 2017 12:09 pm 
Offline
louisianajeeper - FlightAware user avatar

Joined: Sat Jan 31, 2015 1:41 pm
Posts: 27
Anyone using piaware 3.5 checked ChartBundle maps today?
I just reloaded a fresh load of 3.5 and made the customizations I normally do for my network etc. I then edited config.js file for Bing maps. extra range rings, and ChartBundle. Everything works fine except I am getting blank base layer when I select any aviation map.
Do I need to dig more, does it not work with 3.5, or is the map server down?????

EDIT: Guess it was server all is normal now


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Thu Apr 13, 2017 1:57 am 
Offline
jaliquane - FlightAware user avatar

Joined: Wed Mar 29, 2017 12:20 pm
Posts: 1
Hello,
since this morning, i have not column "distance" on Skyview list :( and i have "unknown version" :?: also in skyview, but on my page it is indicated Feeder Type: PiAware (SD Card) 3.5.0

Have everybody this problem, what can i do to see Distance?
i reboot pi but same problem
Station LFMC

Thanks


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Thu Apr 13, 2017 5:15 am 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3459
jaliquane wrote:
Hello,
since this morning, i have not column "distance" on Skyview list :( and i have "unknown version" :?: also in skyview, but on my page it is indicated Feeder Type: PiAware (SD Card) 3.5.0

Have everybody this problem, what can i do to see Distance?
i reboot pi but same problem
Station LFMC

Thanks

Try clearing your browser cache.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Tue Apr 18, 2017 6:44 pm 
Offline
FlightAware Member
FlyingPeteNZ - FlightAware user avatar

Joined: Thu Aug 04, 2016 10:47 pm
Posts: 156
Location: Auckland, New Zealand
Small bug in the stylesheet for v3.5.0, the font-family is defined as Helvetica Neue only with no backup through a large portion of the doc, the initial entry is OK.

I noticed that the table used a Serif font and work (Windows) and a Sans Serif (Mac) font at home so I went digging.

The stylesheet initially defines the font-family as Helvetica Neue, Sans-Serif; but then only as Helvetica Neue later on. My Mac at home has this font family installed, my PC at work doesn't.

If you add Sans-Serif to all the families using Helvetica it all looks fine.

Here is a sample of the code below:

.infoHeading
{
font-family: Helvetica Neue;
font-size: 14px;
line-height: 18px;
color: #002F5D;
color: rgb(0, 47, 93);
}

.infoData
{
font-family: Helvetica Neue;
font-size: 14px;
line-height: 18px;
color: #000000;
color: rgb(0, 0, 0);
}

.legend
{
font-family: Helvetica Neue;
width: 100%;
font-size: 12px;
color: #000000;
color: rgb(0, 0, 0);
display: inline-flex;
justify-content: flex-end;
padding-top: 10px;
}


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Tue Apr 18, 2017 9:38 pm 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3459
FlyingPeteNZ wrote:
Small bug in the stylesheet for v3.5.0, the font-family is defined as Helvetica Neue only with no backup through a large portion of the doc, the initial entry is OK.

Yeah, this is being fixed for the next release.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Tue Apr 18, 2017 11:19 pm 
Offline
rsmath - FlightAware user avatar

Joined: Mon Jun 09, 2008 1:00 am
Posts: 38
Is it normal with the 3.5.0 release for helicopters to not have tracks like winged aircraft do in PiAware Skyview?

I had helicopter tracks in 3.3.0 and that went away when I upgraded to 3.5.0.

If it's a bug or unintended, I request a fix in the next version.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Wed Apr 19, 2017 3:27 am 
Offline
FlightAware Member
FlyingPeteNZ - FlightAware user avatar

Joined: Thu Aug 04, 2016 10:47 pm
Posts: 156
Location: Auckland, New Zealand
rsmath wrote:
Is it normal with the 3.5.0 release for helicopters to not have tracks like winged aircraft do in PiAware Skyview?

I had helicopter tracks in 3.3.0 and that went away when I upgraded to 3.5.0.

If it's a bug or unintended, I request a fix in the next version.


I have helicopter tracks fine on mine in 3.5.0 at the moment, sounds like something is not quite right there.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Wed Apr 19, 2017 7:23 am 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3459
rsmath wrote:
Is it normal with the 3.5.0 release for helicopters to not have tracks like winged aircraft do in PiAware Skyview?

I had helicopter tracks in 3.3.0 and that went away when I upgraded to 3.5.0.

If it's a bug or unintended, I request a fix in the next version.

Going to need more details on this (screenshots as a starting point; details on your install)


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Wed Apr 19, 2017 7:10 pm 
Offline
rsmath - FlightAware user avatar

Joined: Mon Jun 09, 2008 1:00 am
Posts: 38
obj wrote:
Going to need more details on this (screenshots as a starting point; details on your install)


Maybe posting about my issue fixed it in a weird way. I know the typical responses to issues with piaware displays are clear browser cache or relaunch browser and I do that with Firefox every day. I didn't do that today (yet) but when I brought up my browser for the day and waited for a lifeguard or sheriff's helicopter to show up in order for me to make my screen shots for this reply, a lifeguard helicopter showed up and the tracks actually worked. A sheriff's helicopter later in the afternoon also has working tracks. These are the first instances of helicopter tracks working for me since the upgrade to 3.5.0. I've never had an issue with plane (winged aircraft) tracks and 3.5.0 running piaware on a raspberry pi.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Wed Apr 19, 2017 8:32 pm 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3459
Glad that it's working now.

If it happens again please collect a good bug report. I don't know what you're seeing at all so I need to know basic things like: is it that you are getting no positions at all for helicopters? Or are they showing a position, but there is no historical track when you select them? Or are they showing with the wrong icon i.e. not a rotorcraft icon? Or are you not hearing them at all, not even as Mode S contacts? What is an example of an aircraft address & time when you had problems? Are the helicopters ADS-B equipped or are you relying on mlat for positions?

Simplest way to cover a lot of that is with screenshots.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Fri Apr 21, 2017 3:54 pm 
Offline
bcars - FlightAware user avatar

Joined: Sat Aug 22, 2015 8:28 am
Posts: 2
Having a problem trying to install the upgrade 3.5.0 from my 3.3.0 system.
I entered the following: It is telling me I have UMET dependencies on 3.3.0 when trying to install 3.5.0 ??
What am I missing here ?

Quote:

pi@piaware:~$ sudo apt-get update
Hit http://flightaware.com jessie InRelease
Get:1 http://archive.raspberrypi.org jessie InRelease [22.9 kB]
Get:2 http://mirrordirector.raspbian.org jessie InRelease [12.2 kB]
Hit http://flightaware.com jessie/piaware armhf Packages
Get:3 http://mirrordirector.raspbian.org jessie/main armhf Packages [9,530 kB]
Get:4 http://archive.raspberrypi.org jessie/main armhf Packages [156 kB]
Get:5 http://archive.raspberrypi.org jessie/ui armhf Packages [57.9 kB]
Ign http://flightaware.com jessie/piaware Translation-en_US
Ign http://flightaware.com jessie/piaware Translation-en
Ign http://archive.raspberrypi.org jessie/main Translation-en_US
Ign http://archive.raspberrypi.org jessie/main Translation-en
Ign http://archive.raspberrypi.org jessie/ui Translation-en_US
Ign http://archive.raspberrypi.org jessie/ui Translation-en
Get:6 http://mirrordirector.raspbian.org jessie/contrib armhf Packages [43.2 kB]
Get:7 http://mirrordirector.raspbian.org jessie/non-free armhf Packages [84.2 kB ]
Get:8 http://mirrordirector.raspbian.org jessie/firmware armhf Packages [1,232 B ]
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en_US
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en
Ign http://mirrordirector.raspbian.org jessie/firmware Translation-en_US
Ign http://mirrordirector.raspbian.org jessie/firmware Translation-en
Ign http://mirrordirector.raspbian.org jessie/main Translation-en_US
Ign http://mirrordirector.raspbian.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en_US
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
Fetched 9,908 kB in 23s (419 kB/s)
Reading package lists... Done
pi@piaware:~$ sudo apt-get install piaware
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
piaware-release : Depends: piaware-repository (= 3.3.0) but 3.5.0 is to be inst alled
Depends: piaware (= 3.3.0) but 3.5.0 is to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a s olution).
pi@piaware:~$



Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Fri Apr 21, 2017 4:01 pm 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3459
That is a sdcard install. do one of:

Code:
$ sudo apt-get dist-upgrade

or:
Code:
$ sudo apt-get install piaware-release

The second command is what the "upgrade piaware" remote command does on a sdcard install.

piaware-release is a metapackage used on sdcard installs that has dependencies on all the necessary packages.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Sat Apr 22, 2017 10:56 am 
Offline
bcars - FlightAware user avatar

Joined: Sat Aug 22, 2015 8:28 am
Posts: 2
Well, I tried the suggestion, but get similar results. It says I have 3.5 installed, but the piaware shows 3.3 catch 22. One way it says it depends on 3.3 other says I am trying to install 3.3 but I have 3.5 installed.
Is there a way to clear what it Thinks I have installed? Or I do a fresh SD install of 3.5 to a new SD card.

pi@piaware:~$ sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
piaware-release : Depends: piaware-repository (= 3.3.0) but 3.5.0 is installed
E: Unmet dependencies. Try using -f.

pi@piaware:~$ sudo apt-get install piaware-release
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
piaware-release : Depends: piaware-support (= 3.5.0) but 3.3.0 is to be installed
Depends: piaware (= 3.5.0) but 3.3.0 is to be installed
Depends: beast-splitter (= 3.5.0) but 3.3.0 is to be installed
Depends: dump1090-fa (= 3.5.0) but 3.3.0 is to be installed
Depends: piaware-web (= 3.5.0) but 3.3.0 is to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
pi@piaware:~$


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Sat Apr 22, 2017 11:47 am 
Offline
FlightAware Member
abcd567 - FlightAware user avatar

Joined: Sat Feb 15, 2014 3:08 am
Posts: 1980
Location: Toronto CYYZ
@bcars:
Did you try
sudo apt-get -f install


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Sat Apr 22, 2017 11:56 am 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3459
bcars wrote:
The following packages have unmet dependencies:
piaware-release : Depends: piaware-repository (= 3.3.0) but 3.5.0 is installed
E: Unmet dependencies. Try using -f.

Looks like you installed an updated piaware-repository deb by hand; you didn't mention that? It will have produced an inconsistent set of dependencies.
Try apt-get -f install, as it suggests, which should fix the dependencies. Then try the upgrade again.

Next time I'd suggest just using the remote upgrade command.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Tue Apr 25, 2017 1:50 pm 
Offline
EDVEaware - FlightAware user avatar

Joined: Tue Dec 15, 2015 1:44 am
Posts: 33
I have installed V3.5 dump1090-fa but still get information that i have installed 3.3 on the new theme as you can see here:

Image

Thanks


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Tue Apr 25, 2017 6:05 pm 
Offline
FlightAware Member
conligwx - FlightAware user avatar

Joined: Sat Mar 18, 2017 8:00 pm
Posts: 87
Location: EGAC/EGAD
EDVEaware wrote:
I have installed V3.5 dump1090-fa but still get information that i have installed 3.3 on the new theme as you can see here:

Image

Thanks



as stated in many posts on these forums, many users after upgrade, see old display or corrupt skyview, please clear your Browser Cache or try CTRL-F5


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Mon May 01, 2017 11:12 am 
Offline
rafaelz - FlightAware user avatar

Joined: Sun Dec 03, 2006 12:00 pm
Posts: 2
Nice V3.5.0 upgrade...
Suggestion for next iteration is to make the pop-up window that appears on top of map with expanded details, to occupy less real state by removing a lot of the 'white-space' (reduce line spacing) between each of the text lines.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Thu May 18, 2017 9:53 pm 
Offline
astrodeveloper - FlightAware user avatar

Joined: Mon Jan 02, 2017 1:16 pm
Posts: 3
rafaelz wrote:
Nice V3.5.0 upgrade...
Suggestion for next iteration is to make the pop-up window that appears on top of map with expanded details, to occupy less real state by removing a lot of the 'white-space' (reduce line spacing) between each of the text lines.


I completely agree. Not all of us are developers with huge screens. Less white space and more value. Overall great job on the updated programs!


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Fri May 19, 2017 10:22 pm 
Offline
FlightAware Member
Jranderson777 - FlightAware user avatar

Joined: Tue Sep 22, 2015 1:13 pm
Posts: 99
rafaelz wrote:
Nice V3.5.0 upgrade...
Suggestion for next iteration is to make the pop-up window that appears on top of map with expanded details, to occupy less real state by removing a lot of the 'white-space' (reduce line spacing) between each of the text lines.


Yes, I second that request. This is what it looks like currently on an iPad.....
Imagefree upload pictures


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Mon May 22, 2017 8:17 am 
Offline
FlightAware Staff
ericcarlson - FlightAware user avatar

Joined: Sun Jan 01, 2006 5:00 pm
Posts: 116
We have the aircraft details pane on our list to look at for changes in a future version. In the meantime, note that you can use the slider or the map button to increase the size of displayed map.


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 575 posts ]  Go to page Previous  1 ... 19, 20, 21, 22, 23

All times are UTC - 6 hours [ DST ]


Who is online

Users browsing this forum: CommandPost2017, Google [Bot], k6rtm, user92891 and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Jump to: